/* font */
@font-face {
    font-family: "noto-sans-kr";
    src: url("./font/NotoSansKR-VariableFont_wght.ttf");
}

/* general */
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    color: #F6F2EE;
    font-size: 16px;
    font-family: noto-sans-kr;
}

.con-wrap-row {
    display: flex;
}

.con-wrap-row-gap-3 {
    display: flex;
    gap: 12px;
}

.con-wrap-row-gap-6 {
    display: flex;
    gap: 24px;
}

div#full-screen {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100vh;
    position: relative;
}

/* wallpaper */
img#wallpaper {
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: -2;
    object-fit: cover;
}

/* floating-logo */
section#floating-logo-group {
    display: flex;
    gap: 24px;
    align-items: center;
    position: absolute;
    top: 48px;
    left: 48px;
    z-index: -1;
}

section#floating-logo-group img {
    width: 48px;
    border-radius: 12px;
}

section#floating-logo-group p {
    font-size: 30px;
    font-weight: 900;
}

/* main card */
form#form {
    max-width: 480px;
    width: 100%;
    /* height: 848px; 848픽셀이 최대치 */
    height: calc-size(auto);
    background-color: #27282d;
    border-radius: 12px;
    padding: 24px;

    /* transition-property: height;
    transition-duration: 2s; */

}

header#header h1 {
    font-size: 30px;
    margin: 0 auto;
    text-align: center;
}

/* main */
main#main {
    /* margin-top: 24px; */
    display: flex;
    flex-direction: column;
    gap: 24px;
}

main#main label,
span,
p {
    font-size: 12px;
}

main#main input {
    display: block;
    width: 100%;
    padding: 8px;
    background-color: #1c2021;
    border: none;
    border-radius: 12px;
    margin-top: 4px;
}

main#main input:focus {
    outline-style: solid;
    outline-color: #afaead;
}

/* main override */
main#main div#sex-group div {
    margin-top: 4px;
}
main#main div#sex-group input[type="radio"] {
    width: 16px;
    height: 16px;
    appearance: none;
    border-radius: 50%;
}
main#main div#sex-group input[type="radio"]:active {
    outline: none;
}
main#main div#sex-group input[type="radio"]:checked {
    outline: 4px solid #F6F2EE;
}
main#main div#sex-group label {
    font-size: 16px;
    display: flex;
    gap: 12px;
}

main#main div div#select-group {
    display: flex;
    gap: 8px;
    margin-top: 4px;
}
main#main div div#select-group div.column {
    position: relative;
    width: 100%;
}
main#main div div#select-group button {
    width: 100%;
    padding: 8px 12px;
    border-radius: 6px;
    background-color: #1c2021;
    display: flex;
    align-items: center;
    text-align: center;
    border: none
}
main#main div div#select-group div.column div.dropbox {
    width: 100%;
    height: 200px;
    background-color: #27282d;
    position: absolute;
    bottom: 44px;
    z-index: 1;
    overflow-y: scroll;
    overflow-x: hidden;
    scrollbar-color: #737271 #27282d;
    /* border-radius: 12px; */
    border: 1px solid #1c2021;
    display: none;
}
main#main div div#select-group div div.dropbox ul li {
    padding: 8px 12px;
}
main#main div div#select-group div div.dropbox ul li:hover {
    background-color: #323339;
}


footer#footer div:first-child {
    margin-top: 24px;
    align-items: center;
    position: relative;
}
footer#footer div:first-child img {
    width: 24px;
    height: 24px;
    padding: 0;
    position: absolute;
    display: none;
    border-radius: 6px;
}

footer#footer div:first-child input[type="checkbox"] {
    width: 24px;
    height: 24px;
    flex-shrink: 0;
    appearance: none;
    border: 1px solid #737271;
    border-radius: 6px;
    z-index: 1;
}

footer#footer div:first-child input[type="checkbox"]:checked
~ img {
    background-color: #F6F2EE;
    display: block;
}

footer#footer div:first-child label {
    font-size: 12px;
    display: block;
}

footer#footer button {
    width: 100%;
    background-color: #27282d;
    border: 1px solid #737271;
    padding: 12px;
    border-radius: 12px;
    margin-top: 24px;
    opacity: 0.3;
}

footer#footer button:hover {
    border: 1px solid #afaead;
}

footer#footer button:active {
    background-color: #1c2021;
}


footer#footer div#warning-line-group span,
a {
    font-size: 12px;
}

/* 이미 계정이 있나요? */
footer#footer>a {
    font-size: 16px;
    text-decoration: none;
    margin-top: 24px;
    display: block;
}

footer#footer>a:hover {
    text-decoration: underline;
}